SDL_CameraDeviceEvent(3type)

NAME
SDL_CameraDeviceEvent - Camera device event structure (event.cdevice.*)

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_CameraDeviceEvent
{
    SDL_EventType type; /**< ::SDL_EVENT_CAMERA_DEVICE_ADDED, ::SDL_EVENT_CAMERA_DEVICE_REMOVED, ::SDL_EVENT_CAMERA_DEVICE_APPROVED, ::SDL_EVENT_CAMERA_DEVICE_DENIED */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_CameraDeviceID which;       /**< SDL_CameraDeviceID for the device being added or removed or changing */
} SDL_CameraDeviceEvent;

AVAILABILITY
This struct is available since SDL 3.0.0.